Ask Your Question
0

cannot compile footstep_planner

asked 2014-02-26 03:52:46 -0500

borghetti gravatar image

updated 2014-02-26 04:18:47 -0500

Hi,

I am a new user of ROS and I have tried to run the footstep_planner node and receive this message bellow:

    ERROR: cannot launch node of type [footstep_planner/footstep_planner_node]: can't locate node [footstep_planner_node] in package [footstep_planner]

This message occurred because the compilation was not successfully accomplished (can be seen in the end of the post).

To solve my problem, I have downloaded each octomap package from github and put the directories inside the stack but did not work. I have tried to rosmake each octomap package, as well as the footstep_planner before, and then rosmake humanoid_navigation, but still did not work. I don't know why, using ' sudo apt-get install ros-groovy-octomap*' returns no package for me. Maybe solving this apt-get issue the problem can be solved? Any ideas?

rosmake humanoid_navigation

[ rosmake ] rosmake starting...
[ rosmake ] Packages requested are: ['humanoid_navigation']
[ rosmake ] Logging to directory /informatik2/wtm/home/borghetti/.ros/rosmake/rosmake_output-20140226-164152
[ rosmake ] Expanded args ['humanoid_navigation'] to: ['footstep_planner', 'gridmap_2d', 'humanoid_localization', 'humanoid_planner_2d', 'octomap', 'octovis', 'octomap_msgs', 'octomap_ros']
[rosmake-0] Starting >>> catkin [ make ]
[rosmake-0] Finished <<< catkin ROS_NOBUILD in package catkin No Makefile in package catkin
[rosmake-0] Starting >>> octomap [ make ]
[rosmake-0] Finished <<< octomap ROS_NOBUILD in package octomap No Makefile in package octomap
[rosmake-3] Starting >>> genmsg [ make ]
[rosmake-0] Starting >>> octovis [ make ]
[rosmake-0] Finished <<< octovis ROS_NOBUILD in package octovis No Makefile in package octovis
[rosmake-0] Starting >>> cpp_common [ make ]
[rosmake-3] Finished <<< genmsg ROS_NOBUILD in package genmsg No Makefile in package genmsg
[rosmake-3] Starting >>> genlisp [ make ]
[rosmake-2] Starting >>> genpy [ make ]
[rosmake-1] Starting >>> gencpp [ make ]
[rosmake-0] Finished <<< cpp_common ROS_NOBUILD in package cpp_common No Makefile in package cpp_common
[rosmake-0] Starting >>> rostime [ make ]
[rosmake-2] Finished <<< genpy ROS_NOBUILD in package genpy No Makefile in package genpy
[rosmake-2] Starting >>> rospack [ make ]
[rosmake-1] Finished <<< gencpp ROS_NOBUILD in package gencpp No Makefile in package gencpp
[rosmake-3] Finished <<< genlisp ROS_NOBUILD in package genlisp No Makefile in package genlisp
[rosmake-3] Starting >>> roslang [ make ]
[rosmake-1] Starting >>> message_generation [ make ]
[rosmake-2] Finished <<< rospack ROS_NOBUILD in package rospack No Makefile in package rospack
[rosmake-2] Starting >>> roslib [ make ]
[rosmake-0] Finished <<< rostime ROS_NOBUILD in package rostime No Makefile in package rostime
[rosmake-0] Starting >>> roscpp_traits [ make ]
[rosmake-1] Finished <<< message_generation ROS_NOBUILD in package message_generation No Makefile in package message_generation
[rosmake-3] Finished <<< roslang ROS_NOBUILD in package roslang 0.0 sec ] [ roslib: 0.0 sec ] [ roscpp_traits: 0.0 sec ] [ 4 Active 10/65 Complete ] No Makefile in package roslang
[rosmake-2] Finished <<< roslib ROS_NOBUILD in package roslib No Makefile in package roslib
[rosmake-1] Starting >>> xmlrpcpp [ make ]
[rosmake-2] Starting >>> rosunit [ make ]
[rosmake-3] Starting >>> rosgraph [ make ]
[rosmake-0] Finished <<< roscpp_traits ROS_NOBUILD in package roscpp_traits No Makefile in package roscpp_traits
[rosmake-0] Starting >>> roscpp_serialization [ make ]
[rosmake-3] Finished <<< rosgraph ROS_NOBUILD in package rosgraph No Makefile in package rosgraph
[rosmake-3] Starting >>> rosparam [ make ]
[rosmake-1] Finished <<< xmlrpcpp ROS_NOBUILD in package xmlrpcpp No Makefile in package xmlrpcpp
[rosmake-1] Starting >>> rosmaster [ make ]
[rosmake-2] Finished <<< rosunit ROS_NOBUILD in package rosunit No Makefile in package rosunit
[rosmake-2] Starting >>> rosconsole [ make ]
[rosmake-1] Finished <<< rosmaster ROS_NOBUILD in package rosmaster No Makefile in package rosmaster
[rosmake-3] Finished <<< rosparam ROS_NOBUILD in package rosparam No Makefile in package rosparam
[rosmake-0] Finished <<< roscpp_serialization ROS_NOBUILD in package roscpp_serialization No ...











































(more)

edit retag flag offensive close merge delete

Comments

Are you actually on ROS groovy? Is there ROS groovy available for your Ubuntu distribution and did you set up the apt-get repository correctly?

AHornung gravatar image AHornung  ( 2014-02-26 04:10:44 -0500 )edit

And you are right, before launching you need to compile. So best change the question title to "cannot compile footstep_planner". If you don't need humanoid_localization, then just compile the footstep planner package with "rosmake footstep_planner".

AHornung gravatar image AHornung  ( 2014-02-26 04:13:00 -0500 )edit

The core error message you see concerns octomap_msgs. Either install it properly with apt-get or download and compile the correct version in your workspace. As said above though, it's not needed for footstep_planner, only for humanoid_localization.

AHornung gravatar image AHornung  ( 2014-02-26 04:45:53 -0500 )edit

Hello AHornung, Yes, I am using ROS groovy, and I am able to send commands to a real NAO robot, as explained here: http://wiki.ros.org/nao/Tutorials/Getting-Started. I have checked just now and the apt-get repository was not set correctly. I have changed this and then seems that I have got the packages from octomap required when I tried 'rosmake humanoid_navigation'. But now two other errors occurred (humanoid_nav_msgs and sbpl not found). If I use only rosmake footstep_planner, the same error occurs (No package 'humanoid_nav_msgs' found). Maybe should I try get these two packages from repository, as well?

borghetti gravatar image borghetti  ( 2014-02-26 04:51:26 -0500 )edit

Hello again, I have downloaded the two packages required from repository (humanoid_nav_msgs and sbpl) and the compilation completed successfully. Thank you for your help.

borghetti gravatar image borghetti  ( 2014-02-26 05:01:59 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2014-02-26 05:09:13 -0500

AHornung gravatar image

updated 2014-02-26 05:10:10 -0500

After fixing the apt-get repository setup, you can fix the newest errors (humanoid_nav_msgs and sbpl missing) by installing the required packages (via apt-get) ros-groovy-humanoid-nav-msgs and ros-groovy-sbpl.

Alternatively, you can download the source version and compile them in your workspace (but make sure that they are the correct versions for ROS groovy).

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-02-26 03:52:46 -0500

Seen: 229 times

Last updated: Feb 26 '14